#!/usr/local/bin/ruby
#
# ./settile.rb > settile.gif

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

file = open("settile_gif.gif", "rb")
tile = GD::Image.newFromGif(file)
file.close

im.setTile(tile)
im.filledRectangle(50, 50, 150, 150, GD::Tiled)

im.gif STDOUT
